## duke3d 1.5.8-0maemo5

=== source/Makefile ===
#-----------------------------------------------------------------------------#
# Duke3D makefile.
#-----------------------------------------------------------------------------#

linux_ppc := false
beos := false
macosx := false
freebsd := false
solaris := false
shareware := false
controls_menu := true
#use_asm := true

#-----------------------------------------------------------------------------#
# If this makefile fails to detect Cygwin correctly, or you want to force
#  the build process's behaviour, set it to "true" or "false" (w/o quotes).
#-----------------------------------------------------------------------------#
#cygwin := true
#cygwin := false
cygwin := autodetect

# you only need to set these for Cygwin at the moment.
SDL_INC_DIR = /cygdrive/c/SDL/include
SDL_LIB_DIR = /cygdrive/c/SDL/lib

# need this for now.
ifeq ($(strip $(beos)),true)
  use_asm := false
endif

# Don't touch anything below this line unless you know what you're doing.

ifeq ($(strip $(cygwin)),autodetect)
  ifneq ($(strip $(shell gcc -v 2>&1 |grep "cygwin")),)
    cygwin := true
  else
    cygwin := false
  endif
endif


ifeq ($(strip $(cygwin)),true)
  ifeq ($(strip $(SDL_INC_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_INC_DIR envr var.)
  else
    SDL_CFLAGS := -I$(SDL_INC_DIR)
  endif

  ifeq ($(strip $(SDL_LIB_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_LIB_DIR envr var.)
  else
    SDL_LDFLAGS := -L$(SDL_LIB_DIR) -lSDL
  endif

else
  ifneq ($(strip $(freebsd)),true)
    SDL_CFLAGS := $(shell sdl-config --cflags)
    SDL_LDFLAGS := $(shell sdl-config --libs) -L.
  endif
endif

ifeq ($(strip $(macosx)),true)
  EXTRACFLAGS += -DPLATFORM_MACOSX=1
  EXTRALDFLAGS += -lSDLmain
endif

ifeq ($(strip $(freebsd)),true)
  EXTRACFLAGS += -DPLATFORM_FREEBSD=1
  SDL_CFLAGS := $(shell sdl11-config --cflags)
  SDL_LDFLAGS := $(shell sdl11-config --libs) -L.
endif

ifeq ($(strip $(linux_ppc)),true)
  EXTRACFLAGS += -DPLATFORM_LINUXPPC=1
endif

ifneq ($(strip $(cygwin)),true)
  ifneq ($(strip $(macosx)),true)
    ifneq ($(strip $(beos)),true)
      EXTRACFLAGS += -DUSE_EXECINFO=1
    endif
  endif
endif

ifeq ($(strip $(solaris)),true)
  EXTRALDFLAGS += -lsocket -lnsl
endif

ifeq ($(strip $(shareware)),true)
  EXTRACFLAGS += -DVOLUMEONE
else
  EXTRACFLAGS += -DVOLUMEALL
endif

ifeq ($(strip $(controls_menu)),true)
  EXTRACFLAGS += -DCONTROLS_CONFIG_MENU=1
endif

BUILDOBJS := \
	buildengine/cache1d.o \
	buildengine/engine.o \
	buildengine/sdl_driver.o \
	buildengine/mmulti.o \
	buildengine/pragmas.o \
	buildengine/unix_compat.o

ifeq ($(strip $(use_asm)),true)
	BUILDOBJS += buildengine/a_gnu.o buildengine/a_nasm.o
else
	BUILDOBJS += buildengine/a.o
endif

CC = gcc
CFLAGS = -c -g $(SDL_CFLAGS) -DUSE_SDL=1 -DPLATFORM_UNIX=1 -W -Wall -Wno-unused $(EXTRACFLAGS) -funsigned-char

ifeq ($(strip $(macosx)),true)
OPTIMIZE = -O3 -mdynamic-no-pic -falign-loops=16
else
OPTIMIZE = -O2
endif

# Always turn OFF strict aliasing, even when optimizing. Otherwise, this is
#  just an accident waiting to happen...  --ryan.
CFLAGS += -fno-strict-aliasing

# Uncomment this to compile with the Intel compiler (v6.0)
#CC = icc
#CFLAGS = -g $(SDL_CFLAGS) -DUSE_SDL=1 -DPLATFORM_UNIX=1 -DUSE_I386_ASM=1 $(EXTRACFLAGS) -O2

LDLIBS = $(SDL_LDFLAGS) -lSDL -lSDL_mixer $(EXTRALDFLAGS)

ifeq ($(strip $(freebsd)),true)
LDLIBS = $(SDL_LDFLAGS) -lSDL_mixer $(EXTRALDFLAGS)
endif

# !!! FIXME: Do we even need this? It doesn't fly on MacOS X.  --ryan.
#LDLIBS += -Wl,-E

.PHONY: duke3d build buildengine clean distclean
all: buildengine duke3d build


%.o : %.c
	$(CC) $(CFLAGS) $(OPTIMIZE) -o $@ $<

# Animation playback crashes due to optimization error on MacOS X. --ryan.
ifeq ($(strip $(macosx)),true)
animlib.o : animlib.c
	$(CC) $(CFLAGS) -o $@ $<
endif

# Animation playback crashes due to optimization error on Linux PPC. --Felipe Barriga.
ifeq ($(strip $(linux_ppc)),true)
animlib.o : animlib.c
	$(CC) $(CFLAGS) -o $@ $<
endif

audiolib/audiolib.a:
	$(MAKE) -C audiolib CC="$(CC)" CFLAGS="$(CFLAGS)" LDLIBS="$(LDLIBS)"

buildengine:
	make -C buildengine

duke3d: \
	actors.o \
	animlib.o \
	control.o \
	config.o \
	game.o \
	gamedef.o \
	global.o \
	keyboard.o \
	menues.o \
	player.o \
	premap.o \
	rts.o \
	scriplib.o \
	sector.o \
	sounds.o \
	dukemusc.o \
	audiolib/audiolib.a
	$(CC) $^ $(BUILDOBJS) $(LDLIBS) -o $@

build: astub.o
	$(CC) $^ $(BUILDOBJS) buildengine/build.o $(LDLIBS) -o $@

clean:
	$(MAKE) -C audiolib clean
	$(MAKE) -C buildengine clean
	rm -rf duke3d build *.o

distclean: clean
	$(MAKE) -C audiolib distclean
	$(MAKE) -C buildengine distclean
	rm -rf *~

=== source/buildengine/Makefile ===

# Makefile for building BUILD on Unix/Cygwin systems.
#
#  Written by Ryan C. Gordon (icculus@clutteredmind.org)
#   Do NOT contact Ken Silverman for support of BUILD on Unix or Linux.
#----------------------------------------------------------------------------

linux_ppc := false
beos := false
macosx := false
freebsd := false
solaris := false
linux64 := false

#-----------------------------------------------------------------------------#
# If this makefile fails to detect Cygwin correctly, or you want to force
#  the build process's behaviour, set it to "true" or "false" (w/o quotes).
#-----------------------------------------------------------------------------#
#cygwin := true
#cygwin := false
cygwin := autodetect

#-----------------------------------------------------------------------------#
# You only need to set SDL_INC_DIR and SDL_LIB_DIR if you are using cygwin.
#  SDL_INC_DIR is where SDL.h and associated headers can be found, and
#  SDL_LIB_DIR is where SDL.lib and SDL.dll are located. These may be set as
#  environment variables, if you'd prefer to not hack the Makefile.
#
# examples:
#   SDL_INC_DIR := C:/2/SDL-1.1.8/include
#   SDL_LIB_DIR := C:/2/SDL-1.1.8/lib
#-----------------------------------------------------------------------------#
ifeq ($(strip $(SDL_INC_DIR)),)
  SDL_INC_DIR := please_set_me_cygwin_users
endif

ifeq ($(strip $(SDL_LIB_DIR)),)
  SDL_LIB_DIR := please_set_me_cygwin_users
endif


#-----------------------------------------------------------------------------#
# To use a different platform's ASM or portable C, change this.
#-----------------------------------------------------------------------------#
#USE_ASM := -DUSE_I386_ASM


#-----------------------------------------------------------------------------#
# Don't touch this unless you know what you are doing.
#-----------------------------------------------------------------------------#
#useperl := true
useperl := false

#useopengl := true
useopengl := false
GL_INCLDIR := /usr/X11R6/include

#usedlls := true
usedlls := false

#usephysfs := true
usephysfs := false

#networking := stubbed
networking := udp


#-----------------------------------------------------------------------------#
# Everything below this line is probably okay.
#-----------------------------------------------------------------------------#

# been told this doesn't work on BeOS right now...
ifeq ($(strip $(beos)),true)
  networking := stubbed
  USE_ASM :=
endif

ifeq ($(strip $(linux64)),true)
  CFLAGS += -m32
  LDFLAGS +=-m32 -L/emul/linux/x86/usr/lib
endif

ifeq ($(strip $(solaris)),true)
  LDFLAGS += -lsocket -lnsl
  CFLAGS += -DPLATFORM_SOLARIS
endif

ifeq ($(strip $(cygwin)),autodetect)
  ifneq ($(strip $(shell gcc -v 2>&1 |grep "cygwin")),)
    cygwin := true
  else
    cygwin := false
  endif
endif


ifeq ($(strip $(cygwin)),true)
  # (no choice on Cygwin right now...)
  usedlls := false

  ifeq ($(strip $(SDL_INC_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_INC_DIR envr var.)
  else
    SDL_CFLAGS := -I$(SDL_INC_DIR)
  endif

  ifeq ($(strip $(SDL_LIB_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_LIB_DIR envr var.)
  else
    SDL_LDFLAGS := -L$(SDL_LIB_DIR) -lSDL
  endif
else
  ifneq ($(strip $(freebsd)),true)
    SDL_CFLAGS := $(shell sdl-config --cflags)
    SDL_LDFLAGS := $(shell sdl-config --libs)
  endif
endif

CC = gcc

# Uncomment to use the Intel compiler (v6.0)
# Note: Version 6.0   Build 020312Z fails to compile engine.c
#CC = icc
#CFLAGS = -g $(SDL_CFLAGS) -DUSE_SDL=1 -O2

ifeq ($(strip $(cygwin)),true)
  ASM = nasmw
  DLL_EXT = .dll
  EXE_EXT = .exe
  ASMOBJFMT = win32
  ASMDEFS = -dC_IDENTIFIERS_UNDERSCORED
  CFLAGS += -DC_IDENTIFIERS_UNDERSCORED
else
  ASM = nasm
  DLL_EXT = .so
  EXE_EXT =
  ASMOBJFMT = elf
endif

ifeq ($(strip $(macosx)),true)
  CFLAGS += -DPLATFORM_MACOSX=1 -faltivec -mdynamic-no-pic -falign-loops=32 -falign-functions=32
  LDFLAGS += -framework AppKit -lSDL -lSDLmain
endif

ifeq ($(strip $(freebsd)),true)
  CFLAGS += -DPLATFORM_FREEBSD=1
  SDL_CFLAGS := $(shell sdl11-config --cflags)
  SDL_LDFLAGS := $(shell sdl11-config --libs) -L.
endif

ifeq ($(strip $(linux_ppc)),true)
  CFLAGS += -DPLATFORM_LINUXPPC=1
endif

ifeq ($(strip $(useopengl)),true)
  CFLAGS += -DUSE_OPENGL -I$(GL_INCLDIR)
endif

ifeq ($(strip $(useperl)),true)
  CFLAGS += -DUSE_PERL
  LDPERL := $(shell perl -MExtUtils::Embed -e ldopts)
  CCPERL := $(shell perl -MExtUtils::Embed -e ccopts)
    # !!! can I lose the explicit path somehow?
  PERLOBJS += buildperl.o /usr/lib/perl5/i386-linux/CORE/libperl.a
endif

ifeq ($(strip $(usephysfs)),true)
  CFLAGS += -DUSE_PHYSICSFS
  LDFLAGS += -lphysfs
endif

ifeq ($(strip $(usedlls)),true)
ENGINEBASE = buildengine
ENGINEDLL = $(strip $(ENGINEBASE))$(strip $(DLL_EXT))
NETBASE = buildnet
NETDLL = $(strip $(NETBASE))$(strip $(DLL_EXT))
endif

ifeq ($(strip $(networking)),stubbed)
  CFLAGS += -DSTUB_NETWORKING=1
endif

ifeq ($(strip $(networking)),udp)
  CFLAGS += -DUDP_NETWORKING=1
endif

# fixes code generation bug.
ifeq ($(strip $(beos)),true)
  CFLAGS += -no-fpic
endif

ENGINESRCS = engine.c cache1d.c sdl_driver.c unix_compat.c
ifeq ($(strip $(USE_ASM)),-DUSE_I386_ASM)
ENGINESRCS += a_nasm.asm pragmas.c a_gnu.c 
else
ENGINESRCS += a.c pragmas.c
endif

ifeq ($(strip $(useopengl)),true)
ENGINESRCS += buildgl.c
endif


NETSRCS = mmulti.c

GAMEEXE = game
GAMESRCS = game.c 
#GAMESRCS += multi.c k.asm kdmeng.c
ifneq ($(strip $(usedlls)),true)
GAMESRCS += $(ENGINESRCS)
GAMESRCS += $(NETSRCS)
endif

BUILDEXE = build
BUILDSRCS = build.c bstub.c
ifneq ($(strip $(usedlls)),true)
BUILDSRCS += $(ENGINESRCS)
endif


ENGINEDIR = .
ASMFLAGS = -f $(ASMOBJFMT) $(ASMDEFS)
LINKER = gcc
CFLAGS += $(USE_ASM) -funsigned-char -O3 -DPLATFORM_UNIX -g -Wall $(SDL_CFLAGS) -fno-omit-frame-pointer
LDFLAGS += -g $(SDL_LDFLAGS)

# Always turn OFF strict aliasing, even when optimizing. Otherwise, this is
#  just an accident waiting to happen...  --ryan.
CFLAGS += -fno-strict-aliasing

# Rules for turning source files into .o files
%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

%.o: %.asm
	$(ASM) $(ASMFLAGS) -o $@ $<

# Rule for getting list of objects from source
ENGINEOBJS1 := $(ENGINESRCS:.c=.o)
ENGINEOBJS := $(ENGINEOBJS1:.asm=.o)
NETOBJS1 := $(NETSRCS:.c=.o)
NETOBJS := $(NETOBJS1:.asm=.o)
GAMEOBJS1 := $(GAMESRCS:.c=.o)
GAMEOBJS := $(GAMEOBJS1:.asm=.o)
BUILDOBJS1 := $(BUILDSRCS:.c=.o)
BUILDOBJS := $(BUILDOBJS1:.asm=.o)

CLEANUP = $(GAMEOBJS) $(BUILDOBJS) $(PERLOBJS) $(NETOBJS) \
          $(GAMEEXE) $(BUILDEXE) $(ENGINEOBJS) $(ENGINEDLL) \
          $(wildcard *.exe) $(wildcard *.obj) \
          $(wildcard *~) $(wildcard *.err) \
          $(wildcard .\#*) core

all: $(BUILDEXE) $(GAMEEXE)

ifeq ($(strip $(useperl)),true)
buildperl.o : buildperl.c
	$(CC) -c -o $@ $< $(CFLAGS) $(CCPERL)
endif

ifeq ($(strip $(usedlls)),true)
$(ENGINEDLL) : $(ENGINEOBJS)
	$(LINKER) -shared -o $(ENGINEDLL) $(LDFLAGS) $(ENGINEOBJS)

$(NETDLL) : $(NETOBJS)
	$(LINKER) -shared -o $(NETDLL) $(LDFLAGS) $(NETOBJS)
endif

$(GAMEEXE) : $(ENGINEDLL) $(NETDLL) $(GAMEOBJS) $(PERLOBJS)
	$(LINKER) -o $(GAMEEXE) $(LDFLAGS) $(LDPERL) $(PERLOBJS) $(GAMEOBJS) $(ENGINEDLL) $(NETDLL)

$(BUILDEXE) : $(ENGINEDLL) $(BUILDOBJS)
	$(LINKER) -o $(BUILDEXE) $(LDFLAGS) $(BUILDOBJS) $(ENGINEDLL)

listclean:
	@echo "A 'make clean' would remove" $(CLEANUP)

distclean: clean

clean:
	rm -f $(CLEANUP)


#-----------------------------------------------------------------------------#
# This section is pretty much just for Ryan's use to make distributions.
#  You Probably Should Not Touch.
#-----------------------------------------------------------------------------#

# These are the files needed in a binary distribution, regardless of what
#  platform is being used.
BINSCOMMON  = build$(strip $(EXE_EXT)) game$(strip $(EXE_EXT))
BINSCOMMON += ascboard.map boards.map evilal.map kensig.map nsnoal.map
BINSCOMMON += test.map nukeland.map
BINSCOMMON += stuff.dat
BINSCOMMON += BUILDLIC.TXT
BINSCOMMON += names.h


package: clean
	cd .. ; zip -9rz ./BUILD-engine-$(shell date +%m%d%Y).zip buildengine -x "*CVS*" < buildengine/FILEID.DIZ


ifeq ($(strip $(cygwin)),true)
msbins: win32bins dosbins

win32bins:
	wmake -f Makefile.w32 clean
	wmake -f Makefile.w32
	cp $(SDL_LIB_DIR)/SDL.dll .
	echo -e "\r\n\r\n\r\nHEY YOU.\r\n\r\n\r\nTake a look at README-win32bins.txt FIRST.\r\n\r\n\r\n--ryan. (icculus@clutteredmind.org)\r\n\r\n" |zip -9rz ../BUILD-win32bins-$(shell date +%m%d%Y).zip $(BINSCOMMON) SDL.dll README-win32bins.txt README CHANGELOG

dosbins:
	wmake -f Makefile.dos clean
	wmake -f Makefile.dos
	cp C:/WATCOM/BINW/DOS4GW.EXE .
	echo -e "\r\n\r\n\r\nHEY YOU.\r\n\r\n\r\nTake a look at README-dosbins.txt FIRST.\r\n\r\n\r\n--ryan. (icculus@clutteredmind.org)\r\n\r\n" |zip -9rz ../BUILD-dosbins-$(shell date +%m%d%Y).zip $(BINSCOMMON) README-dosbins.txt README CHANGELOG DOS4GW.EXE

else
msbins: nocygwin
win32bins: nocygwin
dosbins: nocygwin
endif

nocygwin:
	@echo This must be done on a Windows box in the Cygwin environment.

#-----------------------------------------------------------------------------#
# End packaging section.
#-----------------------------------------------------------------------------#

# end of Makefile ...

## duke3d 1.5.8-0maemo4

=== debian/changelog ===
duke3d (1.5.8-0maemo4) diablo; urgency=low

  * Prepared for extras, added proximity sensor/accelerometer menu items, optified

 -- Janne Makinen <janne.makinen@surffi.fi>  Sun, 27 Dec 2009 16:22:28 +0000

duke3d (1.5.8-0maemo3) diablo; urgency=low

  * Accelerometer controls, shift-backspace works as esc

 -- Janne Makinen <janne.makinen@surffi.fi>  Sun, 27 Dec 2009 01:55:36 +0000

duke3d (1.5.8-0maemo2) diablo; urgency=low

  * Add help message for duke3dsw firstrun
  * Change duke3dsw .cfg to same as in duke3d

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 16 Oct 2008 22:44:02 +0300

duke3d (1.5.8-0maemo1) diablo; urgency=low

  * Build both CD and shareware versions

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 14 Oct 2008 18:30:46 +0300

duke3d (1.5.8-0maemo0) diablo; urgency=low

  * Initial release

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 14 Oct 2008 18:30:46 +0300

=== debian/control ===
Source: duke3d
Section: user/games
Priority: extra
Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libxsp-dev, sharutils, quilt, maemo-optify
Standards-Version: 3.7.2
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gDBQ8uESgs0OMAAAhASURBVEjHhZZbbBz1Fca//1z3MrszO7u2145v
 8YW4ATdgtyUKqFECKVVRQitxfQC10ESoURCkF8pLywN9KG1ViFCg0CoUFyEQ
 JcQUiKOmMcY2icGxY8jaie31ru3dtdf2XmZ2dnZ2bn1okdJyO49HR9/v4ZxP
 5yP4kjpx4oRnc1tbV0iSbvXxZIdr6V0gVoNju6BoJkOxvku6QT7I5XJvx+Px
 2G233aZ/kRb5vGZfXx/X0dFxc2tL0yG7lNi1Nj/CK5lPIItFlLUNCB4GrDeI
 cjkIWuhCpHNnlQQ2vz87n3xmOhZ798CBA8ZXgo4dOxZpbGr5Y6NcuT3/8Rse
 beUj1IgWwnU6Qq1hwI4AxIG+ngaqFoo5E6mcD1n7amzefqeRqwTeSi7ED+3f
 v3/lC0FHjx5t37Qp+qa/NHZNLjOE7qYqKDcLxZBQ4reA9XIoay7MKgXRY8O0
 bJjKIraE00hnXCRSIpq334oVt/dyoVj6/gMP3D/9GdCRI0831dRG+pnMu9fm
 3Rm0t0jIJWx4gm3oatEQ8sbBcApcl0HV4EDbGgzVgWq348JCGMRZRk+7iqIC
 XEx3wW28ebqk6vsOHjw4BwA0ADzxxBO8zycekZ3JPdHVUcIGeZwe0fDXk1ps
 PpkK7d0VpPziBmABLiODEzhQHgaEpQDC4s9vpZ1X/1VaWCsjFPWzCDEpFEqo
 MZj6luu/9c3+wcFBkz58+DACgeAPIoHSr+TcGVp0Xbw8rDlDF6m/NTe33nXx
 UrqjJhy4ur0OoFkHhFRhw4KtVmAZFN6bkvBif3q0ubl5T2xOFwqG2fOdnXWU
 xBZRNEOdis7M9/b0TFKCIPgpmvycpEbYEDS8m6VwZhono9HoT/r7+3OSJP3y
 xROp/NxGBMQrwnZccIIfhLBILIs48sqiKorBg6dOnVqrra09fPpc+fWBibJb
 HykgVB6nWcb9meM4IqXrlV7Oyfe2GJewElfx2vuKIofERwcGBkoAwPP8wkbe
 /N1r72RhWAIcNwJDF2EytXj1rO0WSvitIASmAGBgYKAiicJjf3l9daNQ4rDJ
 uwgvpWytVs0bGRdkL5Q4HRK9+LDogV4p9a9mFz/59EhGR0fdnp6eP535YOOO
 dcW6NpfnTAIDPr/OXp4tjYii+MzQ0JD76fzk5ORCe3vHK28OmYduuU5EuLBE
 LruRfZSuF69v8KiA5iKWYxAOh9/IZDL/463z58/nZDn6+K6bfhx//tnnSn0v
 PV++866fXmpubnvs3Llzxf/3YigU+vv0CgU1r0JidFR0bTvjWOhwlFWY3gr8
 4Wtwzw031j3++K/3RSIRhEIyeJ6DruvuxOTUVVsaKk0bIw9yRlTG9m23C/yB
 B2966qmnQl6vl1iWhUKhgEw6g0QyIY0OveMGnIvELKXg4aPNjGWbkZlMEbW1
 HnTUcaj3Zo9SqoqywcNM0fB4GVxcNpyhsWTB3z3PtUYAoltYnnidGfyw4yEl
 NyNc2yKwLusCsCEyFYhUDj1tPmITCrStg1Cmn1GUkkpbrPxRSsXX2AVw5gy5
 qmRDMQl4ioD1EBi5btrQSWVkuuBu3SsRxjFw9qOSu5hYqly9uRSqMWaJkdbB
 swR8xAsfWwUhFNiAiMWYhpxWqtL19dE72gJoaDCL4KMSrhF18PU0fCIFulAF
 72Ph0gQ37juEEydjGyeHk8w7o5qTzNevPfqLR/wN1LAnWM6iWjBQqP5nR9m0
 hrUiD4EysGqEMZ40EpReqU5YZRo+zgPdocDoBuxlDVZWh8PRcBkKUWMRY28+
 GZTlcCKRJtsNuvGe3bt3BapzfaKoJGCrVVCODY4CilUKAu9CDACKa2M+a0It
 lydoWZYZj99/p728RMKig3IwghqPBjPngPEALk0wGSd4+u2smkimDtA0fc62
 7fl/nh7sCge0r18X1GF6WXgpgJM4+IiFXNqBZtgoZcsYXQ1iZb30ewqu+96l
 VTU+ZwWRiuVhcALUKoHhpUBcGwtTKvpGTKdYcp4TBOG98fFxDA8PmwHB95vX
 BguZ0WkbpGKjolRh6hbgWIhbUazEs5jJichs6GnXdQYoURTzFd14thKscZcM
 GisfXsJUthGrGocC7cEnlowLS8bHckh6cnR01PnUK7Isz+i6/czxWdYpay5s
 3YYHNi4kIuhwM5AjIhJlHwpK+QWO41bpZDKJzs7OmdWS8e3mmkCTtqagUaZR
 CTRBy2p4+rRe5Tj/vWNjY7ErTbmwsIAtW7ZMzS7mv1t1mPoWXsdssR7tVB7Z
 VB6n0iFMpIyJkCQ9dPbsWY0GgKWlpUpnR8d4UsPeSIANbg0quKqxivNqE265
 45D68MOPTN53331rO3bsKG/bts0ZHBxEY2Mjs3///nB7W3vrwnr5GzLjJ93B
 NSSSObw068Ws7s/SFHPv8PDw5c982D179txiVSsvtzJqeGdXBRxtgYpuRW3n
 Plds37bS1Nwap0AWAeKAoGl5ebEtH7+w6fKpF0mPbwlLaxZeXRSQcUJFimJ+
 NDg4ePxzX3lvby/qGxquV4rFYyHe7trXXCY7bzBh6Q6mxhysWx6sU0HQAGQz
 hxreQEvIxLriYFIXcDYbdPMmF5ck6f65ubmhWCz25Sno7rvvDhUKhUdM2/mh
 CL3xOlkljWwZmyQXdQyQyhlgfQxSG8B4jkGaqXOLjidDQPoEwf+H48ePr31V
 CqIAsAA8ADzd3d3tkiR9TwgEd1um0eZlIEsemi2bNqoOMXULeZ73zivFwhlV
 Vf8xMTFxGUAFgAHA+jIQuQLGAeABeDiO87e2tsperzdgWZYPAGEYRjNNU5mf
 n98wDKN0BcD8L8S5UvjflS0TZuZ+jrcAAAAASUVORK5CYII=

Package: duke3dsw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},duke3dsw-data, maemo-optify
Description: Duke Nukem 3D (v1.5 Shareware version)
 Duke Nukem 3D is a first-person shooter computer game originally developed
 by 3D Realms and published by Apogee Software.
 .
 This is GPL'ed version of game engine and 3D Realms or Apogee Software
 have nothing to do with it.
 .
 This version includes shareware levels
XB-Maemo-Display-Name: Duke Nukem 3D Shareware

Package: duke3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Duke Nukem 3D (v1.5 CD version)
 Duke Nukem 3D is a first-person shooter computer game originally developed
 by 3D Realms and published by Apogee Software. 
 .
 This is GPL'ed version of game engine and 3D Realms or Apogee Software
 have nothing to do with it.
 .
 This version requires levels from CD version of the game.
XB-Maemo-Display-Name: Duke Nukem 3D CD Version

## duke3d 1.5.8-0maemo5

=== debian/changelog ===
duke3d (1.5.8-0maemo5) diablo; urgency=low

  * Fixed shareware version

 -- Janne Makinen <janne.makinen@surffi.fi>  Sun, 27 Dec 2009 19:52:56 +0000

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 Package: duke3dsw
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},duke3dsw-data, maemo-optify
+Depends: ${shlibs:Depends}, ${misc:Depends},duke3dsw-data
 Description: Duke Nukem 3D (v1.5 Shareware version)
  Duke Nukem 3D is a first-person shooter computer game originally developed
  by 3D Realms and published by Apogee Software.

## duke3d 1.5.8-0maemo6

=== source/buildengine/utils/Makefile ===
#----------------------------------------------------------------------------
# Makefile for building BUILD utilites on Unix systems.
#
#  Written by Ryan C. Gordon (icculus@lokigames.com)
#   Do NOT contact Ken Silverman for support of BUILD on Unix or Linux.
#----------------------------------------------------------------------------

# Programs to build
BINARIES = grpextract kgroup editart

CC = gcc
LINKER = gcc
CFLAGS = -g -O2 -DPLATFORM_UNIX -DUSE_I386_ASM `sdl-config --cflags`
LDFLAGS = 

# Editart is a beast of a different color
EALDFLAGS = $(LDFLAGS) `sdl-config --libs`

# Rules for turning source files into .o files
%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

all: $(BINARIES) 

backmap5 : backmap5.o
	$(LINKER) -o backmap5 $(LDFLAGS) backmap5.o

backmap6 : backmap6.o
	$(LINKER) -o backmap6 $(LDFLAGS) backmap6.o

convmap6 : convmap6.o
	$(LINKER) -o convmap6 $(LDFLAGS) convmap6.o

convmap7 : convmap7.o
	$(LINKER) -o convmap7 $(LDFLAGS) convmap7.o

editart : editart.o pragmas.o sdl_driver.o
	$(LINKER) -o editart $(EALDFLAGS) editart.o pragmas.o sdl_driver.o

kextract : kextract.o
	$(LINKER) -o kextract $(LDFLAGS) kextract.o

kgroup : kgroup.o
	$(LINKER) -o kgroup $(LDFLAGS) kgroup.o

clean:
	rm -f $(BINARIES) *.o core

=== debian/changelog ===
duke3d (1.5.8-0maemo6) diablo; urgency=low

  * Fixed save game, added an ability to calibrate accelerometers, switch to us layout when game starts

 -- Janne Makinen <janne.makinen@surffi.fi>  Wed, 30 Dec 2009 11:24:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
-Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libxsp-dev, sharutils, quilt, maemo-optify
+Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libosso-dev, libxsp-dev, sharutils, quilt, maemo-optify
 Standards-Version: 3.7.2
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/quilt/quilt.make


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: patch build-stamp

build-cd: patch
	dh_testdir
	cp -a source build-cd
	cd build-cd && EXTRACFLAGS="${CFLAGS}" $(MAKE) maemo=true shareware=false

build-sw: patch
	dh_testdir
	cp -a source build-sw
	cd build-sw && EXTRACFLAGS="${CFLAGS}" $(MAKE) maemo=true shareware=true

build-stamp: configure-stamp build-sw build-cd
	dh_testdir

	# Add here commands to compile the package.
	#cd source && EXTRACFLAGS="${CFLAGS}" $(MAKE) maemo=true shareware=true
	#docbook-to-man debian/duke3d.sgml > duke3d.1

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#cd source && $(MAKE) clean
	rm -rf build-cd build-sw

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/duke3d.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/duke3dsw install
	cp build-sw/duke3d $(CURDIR)/debian/duke3dsw/usr/bin/duke3dswbin
	cp build-cd/duke3d $(CURDIR)/debian/duke3d/usr/bin/duke3dbin
	cp debian/duke3dsw.sh $(CURDIR)/debian/duke3dsw/usr/bin/duke3dsw
	cp debian/duke3d.sh $(CURDIR)/debian/duke3d/usr/bin/duke3d
	uudecode debian/duke3dsw.png.en -o $(CURDIR)/debian/duke3dsw/usr/share/icons/hicolor/scalable/apps/duke3dsw.png
	uudecode debian/duke3dsw.png.en -o $(CURDIR)/debian/duke3d/usr/share/icons/hicolor/scalable/apps/duke3d.png

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure build-cd build-sw

## duke3d 1.5.8-0maemo7

=== debian/changelog ===
duke3d (1.5.8-0maemo7) diablo; urgency=low

  * Fixed a crash bug, make game pause and stop screen updates when window loses focus

 -- Janne Makinen <janne.makinen@surffi.fi>  Fri, 22 Jan 2010 11:22:59 +0000
